/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_SrvAdvMsgHeaderExt_H_
#define	_SrvAdvMsgHeaderExt_H_


#include <asn_application.h>

/* Including external dependencies */
#include "Extension.h"

#ifdef __cplusplus
extern "C" {
#endif

/* SrvAdvMsgHeaderExt */
typedef Extension_22P0_t	 SrvAdvMsgHeaderExt_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_SrvAdvMsgHeaderExt;
asn_struct_free_f SrvAdvMsgHeaderExt_free;
asn_struct_print_f SrvAdvMsgHeaderExt_print;
asn_constr_check_f SrvAdvMsgHeaderExt_constraint;
ber_type_decoder_f SrvAdvMsgHeaderExt_decode_ber;
der_type_encoder_f SrvAdvMsgHeaderExt_encode_der;
xer_type_decoder_f SrvAdvMsgHeaderExt_decode_xer;
xer_type_encoder_f SrvAdvMsgHeaderExt_encode_xer;
per_type_decoder_f SrvAdvMsgHeaderExt_decode_uper;
per_type_encoder_f SrvAdvMsgHeaderExt_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _SrvAdvMsgHeaderExt_H_ */
#include <asn_internal.h>
